Index: flashrom-tegra2/hwaccess.c
===================================================================
--- flashrom-tegra2.orig/hwaccess.c
+++ flashrom-tegra2/hwaccess.c
@@ -116,6 +116,20 @@ void release_io_perms(void)
 {
 }
 
+#elif defined (__arm__)
+
+static inline void sync_primitive(void)
+{
+}
+
+void get_io_perms(void)
+{
+}
+
+void release_io_perms(void)
+{
+}
+
 #else
 
 #error Unknown architecture
Index: flashrom-tegra2/hwaccess.h
===================================================================
--- flashrom-tegra2.orig/hwaccess.h
+++ flashrom-tegra2/hwaccess.h
@@ -326,6 +326,10 @@ int libpayload_wrmsr(int addr, msr_t msr
 
 /* PCI port I/O is not yet implemented on MIPS. */
 
+#elif defined(__arm__)
+
+/* Non memory mapped I/O is not supported on ARM. */
+
 #else
 
 #error Unknown architecture, please check if it supports PCI port IO.
Index: flashrom-tegra2/internal.c
===================================================================
--- flashrom-tegra2.orig/internal.c
+++ flashrom-tegra2/internal.c
@@ -276,7 +276,7 @@ int internal_init(void)
 	 * The error code might have been a warning only.
 	 * Besides that, we don't check the board enable return code either.
 	 */
-#if defined(__i386__) || defined(__x86_64__) || defined (__mips)
+#if defined(__i386__) || defined(__x86_64__) || defined (__mips) || defined (__arm__)
 	return 0;
 #else
 	msg_perr("Your platform is not supported yet for the internal "
